petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMFFDRegister

Adds a method to the MatMFFD registry.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDRegister(const char sname[],PetscErrorCode (*function)(MatMFFD))

Not Collective

### Input Parameters

| name_solver | - name of a new user-defined compute-h module
| routine_create | - routine to create method context

### Notes

MatMFFDRegister() may be called multiple times to add several user-defined solvers.

### Sample usage

       MatMFFDRegister("my_h",MyHCreate);

Then, your solver can be chosen with the procedural interface via

        MatMFFDSetType(mfctx,"my_h")

or at runtime via the option

        -mat_mffd_type my_h

### See Also

MatMFFDRegisterAll(), MatMFFDRegisterDestroy()

### Level

developer

### Location

src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages